    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Insets

    java.lang.Object
       |
       +----java.awt.Insets

public class Insets
extends Object
implements Cloneable, Serializable

An `Insets` object is a representation of the borders of a container. It specifies the space that a container must leave at each of its edges. The space can be a border, a blank space, or a title.

See Also:
  LayoutManager, Container

##

bottom
  The inset from the bottom.
left
  The inset from the left.
right
  The inset from the right.
top
  The inset from the top.

##

Insets(int, int, int, int)
  Creates and initializes a new `Insets` object with the specified top, left, bottom, and right insets.

##

clone()
  Create a copy of this object.
equals(Object)
  Checks whether two insets objects are equal.
toString()
  Returns a `String` object representing this `Insets` object's values.

##

top

     public int top

  The inset from the top.

left

     public int left

  The inset from the left.

bottom

     public int bottom

  The inset from the bottom.

right

     public int right

  The inset from the right.

##

Insets

     public Insets(int top,
                   int left,
                   int bottom,
                   int right)

  Creates and initializes a new `Insets` object with the specified top, left, bottom, and right insets.

  Parameters:
    top - the inset from the top.
    left - the inset from the left.
    bottom - the inset from the bottom.
    right - the inset from the right.

##

equals

     public boolean equals(Object obj)

  Checks whether two insets objects are equal. Two instances of `Insets` are equal if the four integer values of the fields `top`, `left`, `bottom`, and `right` are all equal.

  Returns:
    `true` if the two insets are equal; otherwise `false`.
  Overrides:
    equals in class Object

toString

     public String toString()

  Returns a `String` object representing this `Insets` object's values.

  Returns:
    a string representation of this `Insets` object, including the values of its member fields.
  Overrides:
    toString in class Object

clone

     public Object clone()

  Create a copy of this object.

  Returns:
    a copy of this `Insets` object.
  Overrides:
    clone in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.